# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PixelLODEvaluator Class Reference

A LODEvaluator that computes the appropriate LOD based on the approximate 2d area that an Actor covers on the screen. More...

`#include <PixelLODEvaluator.hpp>`

Inheritance diagram for vl::PixelLODEvaluator:

List of all members.

## Public Member Functions
| PixelLODEvaluator ()
virtual const char * | className ()
| Returns the name of the class.
virtual int | evaluate (Actor *actor, Camera *camera)
const std::vector< float > & | distanceRangeSet ()
void | clearPixelRangeSet ()
int | distanceRangeCount () const
float | distanceRange (int index) const
void | setPixelRangeSet (const std::vector< float > &distance_set)
void | addPixelRange (float distance)
void | setPixelRange (int index, float distance)
## Protected Attributes
std::vector< float > | mPixelRangeSet

## Detailed Description

A LODEvaluator that computes the appropriate LOD based on the approximate 2d area that an Actor covers on the screen.

See also:
  - LODEvaluator
  - PixelLODEvaluator

## Constructor & Destructor Documentation

vl::PixelLODEvaluator::PixelLODEvaluator | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::PixelLODEvaluator::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::LODEvaluator.

int PixelLODEvaluator::evaluate | ( | Actor * | actor,
|  | Camera * | camera |
| ) |  |  | `[virtual]`

Implements vl::LODEvaluator.

const std::vector<float>& vl::PixelLODEvaluator::distanceRangeSet | ( |  | ) | `[inline]`

void vl::PixelLODEvaluator::clearPixelRangeSet | ( |  | ) | `[inline]`

int vl::PixelLODEvaluator::distanceRangeCount | ( |  | ) | const`[inline]`

float vl::PixelLODEvaluator::distanceRange | ( | int | index | ) | const`[inline]`

void PixelLODEvaluator::setPixelRangeSet | ( | const std::vector< float > & | distance_set | ) |

void PixelLODEvaluator::addPixelRange | ( | float | distance | ) |

void PixelLODEvaluator::setPixelRange | ( | int | index,
|  | float | distance |
| ) |  |  |

## Member Data Documentation

std::vector<float> vl::PixelLODEvaluator::mPixelRangeSet`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/PixelLODEvaluator.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/PixelLODEvaluator.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:00 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.